> For the complete documentation index, see [llms.txt](https://doc.ecomm.api.tietoevry.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.ecomm.api.tietoevry.com/api-references/unified-merchant-api/shops.md).

# Shops

## GET /egw/{version}/shops/{shopAgreementId}

> Get the shop details

```json
{"openapi":"3.1.0","info":{"title":"E-commerce Gateway API","version":"1.0.0"},"servers":[{"url":"https://sandbox-api.ecomm.api.tietoevry.com"}],"security":[{"OAuth2ClientAuthentication":[]}],"components":{"securitySchemes":{"OAuth2ClientAuthentication":{"type":"openIdConnect","description":"This API uses OAuth 2 with the client credentials flow. [More info](https://www.rfc-editor.org/rfc/rfc6749#section-4.4)","openIdConnectUrl":"https://ecomm.api.tietoevry.com/auth/realms/participants-tietoevry/protocol/openid-connect/token"}},"schemas":{"ShopDetailsResponse":{"type":"object","properties":{"checkoutBranding":{"$ref":"#/components/schemas/CheckoutBrandingDto"},"name":{"type":"string"},"participantId":{"type":"string","description":"Unique ID of the participant","maxLength":64},"paymentMethods":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/ApplePayPaymentMethod"},{"$ref":"#/components/schemas/CardPaymentMethod"},{"$ref":"#/components/schemas/ClickToPayPaymentMethod"},{"$ref":"#/components/schemas/GooglePayPaymentMethod"},{"$ref":"#/components/schemas/OpenBankingPaymentMethod"},{"$ref":"#/components/schemas/PayPalPaymentMethod"}]}},"shopAgreementId":{"type":"string","description":"Unique ID of the shop","maxLength":64},"websiteUrl":{"type":"string"}}},"CheckoutBrandingDto":{"type":"object","properties":{"basketItemPlaceholder":{"type":"string"},"buttonRadius":{"type":"string"},"color":{"type":"string"},"disabledOptions":{"type":"array","items":{"type":"string","enum":["CARD","OPEN_BANKING","CLICK_TO_PAY","APPLE_PAY","GOOGLE_PAY","PAYPAL"]}},"font":{"type":"string"},"groupOrder":{"type":"array","items":{"type":"string","enum":["WALLETS","PAYMENTS","ALL"]}},"groupingType":{"type":"string","enum":["NO_GROUPING","BY_TYPE","SEPARATE_FIRST","SEPARATE_USED"]},"logo":{"type":"string"},"logoPlaceholder":{"type":"string"},"paymentOptionOrder":{"type":"array","items":{"type":"string","enum":["CARD","OPEN_BANKING","CLICK_TO_PAY","APPLE_PAY","GOOGLE_PAY","PAYPAL"]}},"secondaryColor":{"type":"string"}}},"ApplePayPaymentMethod":{"allOf":[{"$ref":"#/components/schemas/AvailablePaymentMethodDto"},{"type":"object","properties":{"type":{"type":"string","enum":["APPLE_PAY"]}}},{"$ref":"#/components/schemas/ShopPaymentMethodDto"}]},"AvailablePaymentMethodDto":{"discriminator":{"propertyName":"type"},"properties":{"type":{"type":"string"}},"required":["type"]},"ShopPaymentMethodDto":{"discriminator":{"propertyName":"type"},"properties":{"type":{"type":"string"}},"required":["type"]},"CardPaymentMethod":{"allOf":[{"$ref":"#/components/schemas/AvailablePaymentMethodDto"},{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/PaymentMethodDto.Links"},"brands":{"type":"array","items":{"type":"string","enum":["VISA","MASTERCARD"]},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nNote: this field is only returned in the sandbox environment.\n"},"type":{"type":"string","enum":["CARD"]}}},{"$ref":"#/components/schemas/ShopPaymentMethodDto"},{"type":"object","properties":{"brands":{"type":"array","items":{"type":"string","enum":["VISA","MASTERCARD"]},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nNote: this field is only returned in the sandbox environment.\n"},"type":{"type":"string","enum":["CARD"]}}}]},"PaymentMethodDto.Links":{"type":"object","properties":{"checkoutRedirect":{"$ref":"#/components/schemas/Link"}}},"Link":{"type":"object","properties":{"href":{"type":"string"}}},"ClickToPayPaymentMethod":{"allOf":[{"$ref":"#/components/schemas/AvailablePaymentMethodDto"},{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/PaymentMethodDto.Links"},"brands":{"type":"array","items":{"type":"string","enum":["VISA","MASTERCARD"]},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nThis field is only included in responses when using the sandbox environment.\n"},"srcDpaId":{"type":"string"},"type":{"type":"string","enum":["CLICK_TO_PAY"]}}},{"$ref":"#/components/schemas/ShopPaymentMethodDto"},{"type":"object","properties":{"brands":{"type":"array","items":{"type":"string","enum":["VISA","MASTERCARD"]},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nNote: this field is only returned in the sandbox environment.\n"},"srcDpaId":{"type":"string"},"type":{"type":"string","enum":["CLICK_TO_PAY"]}}}]},"GooglePayPaymentMethod":{"allOf":[{"$ref":"#/components/schemas/AvailablePaymentMethodDto"},{"type":"object","properties":{"type":{"type":"string","enum":["GOOGLE_PAY"]}}},{"$ref":"#/components/schemas/ShopPaymentMethodDto"}]},"OpenBankingPaymentMethod":{"allOf":[{"$ref":"#/components/schemas/AvailablePaymentMethodDto"},{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/PaymentMethodDto.Links"},"banks":{"type":"array","items":{"$ref":"#/components/schemas/BankDto"}},"type":{"type":"string","enum":["OPEN_BANKING"]}}},{"$ref":"#/components/schemas/ShopPaymentMethodDto"},{"type":"object","properties":{"banks":{"type":"array","items":{"$ref":"#/components/schemas/BankDto"}},"type":{"type":"string","enum":["OPEN_BANKING"]}}}]},"BankDto":{"type":"object","properties":{"bankId":{"type":"string"},"color":{"type":"string"},"country":{"type":"string"},"logo":{"type":"string"},"name":{"type":"string"},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this bank is available in the sandbox environment.\nThis field is only included in responses when using the sandbox environment.\n"}}},"PayPalPaymentMethod":{"allOf":[{"$ref":"#/components/schemas/AvailablePaymentMethodDto"},{"type":"object","properties":{"type":{"type":"string","enum":["PAYPAL"]}}},{"$ref":"#/components/schemas/ShopPaymentMethodDto"}]},"ErrorResponse":{"type":"object","properties":{"apiClientMessages":{"type":"array","items":{"$ref":"#/components/schemas/ApiClientMessage"}}}},"ApiClientMessage":{"type":"object","properties":{"category":{"type":"string","enum":["ERROR"]},"code":{"type":"string"},"text":{"type":"string"}}}}},"paths":{"/egw/{version}/shops/{shopAgreementId}":{"get":{"operationId":"getShopDetails","parameters":[{"description":"Unique ID of the shop","in":"path","name":"shopAgreementId","required":true,"schema":{"type":"string","description":"Unique ID of the shop","maxLength":64}},{"description":"ID of the request, unique to the call, as determined by the initiating party","in":"header","name":"X-Request-Id","required":true,"schema":{"type":"string","format":"uuid","description":"ID of the request, unique to the call, as determined by the initiating party"}},{"in":"path","name":"version","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopDetailsResponse"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Bad Request"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Not Found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Conflict"},"503":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Service Unavailable"}},"summary":"Get the shop details","tags":["Shop API"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://doc.ecomm.api.tietoevry.com/api-references/unified-merchant-api/shops.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
